> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspace Tax Templates



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/tax-templates
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/tax-templates:
    get:
      tags:
        - Workspace Tax Templates
      summary: List Workspace Tax Templates
      operationId: WorkspaceTaxTemplatesController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            type: number
            default: 20
            minimum: 1
            maximum: 100
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxLibraryResponseDto'
components:
  schemas:
    TaxLibraryResponseDto:
      type: object
      properties:
        nextCursor:
          type:
            - string
            - 'null'
        revision:
          type: number
        defaultTemplateId:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/TaxTemplateResponseDto'
        hasMore:
          type: boolean
      required:
        - nextCursor
        - revision
        - defaultTemplateId
        - items
        - hasMore
    TaxTemplateResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        values:
          $ref: '#/components/schemas/TaxSettingsValuesResponseDto'
      required:
        - id
        - name
        - values
    TaxSettingsValuesResponseDto:
      type: object
      properties:
        purchaseTaxRate:
          type:
            - string
            - 'null'
          pattern: ^(?:0\.\d{6}|1\.000000)$
        clientSalesTaxRate:
          type:
            - string
            - 'null'
          pattern: ^(?:0\.\d{6}|1\.000000)$
        purchaseTaxLabel:
          type: string
        clientSalesTaxLabel:
          type: string
        purchaseTaxExempt:
          type: boolean
        listPriceIncludesPurchaseTax:
          type: boolean
        useSameTaxRate:
          type: boolean
      required:
        - purchaseTaxRate
        - clientSalesTaxRate
        - purchaseTaxLabel
        - clientSalesTaxLabel
        - purchaseTaxExempt
        - listPriceIncludesPurchaseTax
        - useSameTaxRate

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.